Successful install HP3255 Wireless Printer. Fails to Print

Forum rules
Before you post please read this

Successful install HP3255 Wireless Printer. Fails to Print

Postby Nu2Mint on Wed Feb 13, 2013 4:35 pm

I am running Mint 13 32bit. And the printer I am trying to install is a HP 3522 Wireless.
Have downloaded hplip 3.13.2.run, to Desktop. And from Terminal cd Desktop, next line sh hplip-3.13.2 run.

From Menu HP Device Manager Setup Device
Step 1 of3 Device Discovery Connection Type
X Wireless/820.11 ( Requires a temporary USB connection and is only available for select devices.
Click Next
Step 1 of 5 Wireless (wifi/820.11) Configuration
Plug in your wireless capable printer at this time (using a USB cable) Click next
Step 2 of 5 Select from Discovered Wireless Capable Devices
1 HP Model Deskjet 3520 Series Device URI hp (usb/Deskjet_3520_series Serial NO.)
1 Wireless capable device found Click Next
Step 3 of 5 Find and Select a Wireless Network
1 My Network 5 bars 5/5 WEP Infrastructure Click Next
Step 4 of 5 Wireless Network Name (SSID) My Network
Wireless Security Type X WEP
Wireless Security Key Key (26 digit Key) Click Connect
Step 5of 5 Wireless Configuration Results
Network: My Network
Address Mode: dhcp
Host Name: HP4Bx8xx
IP Address: xxx.xxx.x.x
Gateway Address: xxx.xxx.x.x
DNS Address: 0.0.0.0
Messages (i) Your printer has been successfully configured on the wireless network. You may now unplug the USB cable
Click FINISH
The next screen is Step 1of3 Again Device Discovery
X Wireless /820.11 (requires a temp USB and son on.
And then starts Step 1 of 5 all over again.

HP Device Manager HP Deskjet 3520 Series Shows a RED X at the printer Icon on the left side.

Close Setup the Terminal Screen is still there. In RED lettering.
Error: Unable to lock /home/don/.hplip/hp-systray.lock.
Is hp-systray already running. My responce yes. I am looking at the hp icon (hplip status service) in the lower right hand corner of the screen, yes??

HP Device Manager, HP Deskjet 3520 Series, displays a yellow triangle, when it is clicked it then displays a RED X next to the printer. The printer does not print.

Close Setup the Terminal Screen is still there. In RED lettering.
Error: Unable to lock /home/don/.hplip/hp-systray.lock.
Is hp-systray already running. My responce yes. I am looking at the hp icon (hplip status service) in the lower right hand corner of the screen, yes??

Warning Device URI: (Makeuri Failed)

HP Check Utility hp-check -t Results are
don@don-System-Product-Name ~ $ hp-check -t
Saving output in log file: /home/don/hp-check.log

HP Linux Imaging and Printing System (ver. 3.13.2)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode
will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

---------------
| SYSTEM INFO |
---------------

Kernel: 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:41:14 UTC 2012 GNU/Linux
Host: don-System-Product-Name
Proc: 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:41:14 UTC 2012 GNU/Linux
Distribution: linuxmint 13

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.13.2
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for linuxmint distro 13 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.13.2

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.13.2
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.13.2
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no

Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1360894078
pending_upgrade_time = 0
latest_available_version = 3.13.2

[installation]
date_time = 02/15/2013 11:57:55
version = 3.13.2

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/usb/Deskjet_3520_series?serial=CN28U14FZ405SY"
printer_name =
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

gs Ghostscript REQUIRED 7.05 9.05 OK -
network Network-wget OPTIONAL - 1.13.4 OK -
dbus DBus REQUIRED - 1.4.18 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.22 OK -
policykit Admin-Policy-framework OPTIONAL - 0.104 OK -
xsane SANE-GUI OPTIONAL 0.9 0.998 OK -
cups CUPS REQUIRED 1.1 1.5.3 OK 'CUPS Scheduler is running'

-------------------------
| General Dependencies |
-------------------------

reportlab Python-PDF-Lib OPTIONAL 2.0 2.5 OK -
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.9.1 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.15 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.0.0 OK -
python-devel Python-SDK REQUIRED 2.2 2.7.3 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.9.1 OK -
cups-devel CUPS-SDK REQUIRED - 1.5.3 OK -
sane-devel SANE-SDK REQUIRED - 1.0.22 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.22 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.5.3 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.4.3 OK -
python-xml Python-XML-Lib REQUIRED - 2.0.1 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

------------------------------
| Compile Time Dependencies |
------------------------------

gcc gcc-Compiler REQUIRED - 4.6.3 OK -
libtool Build-tools REQUIRED - 2.4.2 OK -
make GNU-Build-tools REQUIRED 3.0 3.81 OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.13.2 OK -
pcardext PhotoCard-Extension REQUIRED - 3.13.2 OK -
hpmudext IO-Extension REQUIRED - 3.13.2 OK -

-----------------------
| Scan Configuration |
-----------------------

hpaio HPLIP-SANE-Backend REQUIRED - 3.13.2 OK 'hpaio found in /etc/sane.d/dll.conf'
scanext Scan-SANE-Extension REQUIRED - 3.13.2 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

Device URI Model
-------------------------------- ----------------------
hp:/usb/Deskjet_5900_series?seri HP Deskjet 5900 series
al=CN57L1T1BW047H

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

Deskjet-3520-series
-------------------
Type: Unknown
Device URI: dnssd://Deskjet%203520%20series%20%5B4B ... tcp.local/
PPD: /etc/cups/ppd/Deskjet-3520-series.ppd
PPD Description: HP Deskjet 3520 Series, hpcups 3.12.11
Printer status: printer Deskjet-3520-series is idle. enabled since Thu 14 Feb 2013 04:29:48 PM MST
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

Deskjet_3520
------------
Type: Printer
Device URI: hp:/usb/Deskjet_3520_series?serial=CN28U14FZ405SY
PPD: /etc/cups/ppd/Deskjet_3520.ppd
PPD Description: HP Deskjet 3520 Series, hpcups 3.13.2
Printer status: printer Deskjet_3520 disabled since Fri 15 Feb 2013 11:11:48 AM MST - Unplugged or turned off
error: Unable to communicate with device (code=12): hp:/usb/Deskjet_3520_series?serial=CN28U14FZ405SY
error: Device not found
error: Communication status: Failed

Deskjet_5900
------------
Type: Printer
Device URI: hp:/usb/Deskjet_5900_series?serial=CN57L1T1BW047H
PPD: /etc/cups/ppd/Deskjet_5900.ppd
PPD Description: HP Deskjet 5900 Series, hpcups 3.12.11
Printer status: printer Deskjet_5900 is idle. enabled since Fri 15 Feb 2013 11:46:16 AM MST
Communication status: Good

Deskjet_5900_2
--------------
Type: Printer
Device URI: hp:/usb/Deskjet_5900_series?serial=CN57L1T1BW047H
PPD: /etc/cups/ppd/Deskjet_5900_2.ppd
PPD Description: HP Deskjet 5900 Series, hpcups 3.13.2
Printer status: printer Deskjet_5900_2 is idle. enabled since Fri 15 Feb 2013 11:46:16 AM MST
Communication status: Good

--------------
| PERMISSION |
--------------

groups user-groups Required - - OK don adm lp cdrom sudo dip plugdev lpadmin sambashare

USB Deskjet_5900 Required - - OK Node:'/dev/bus/usb/003/004' Perm:' root lp rw- rw- rw- rw- r--'

-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
None

Missing Optional Dependencies
-----------------------------
None

Total Errors: 1
Total Warnings: 1

Done.
don@don-System-Product-Name ~ $

I installed this printer new 12-22-2012 on Ubuntu 12.0.4 Successful
I installed this printer in Windows 7 Successful.

I need your help. What am I missing.
Nu2Mint
Level 1
Level 1
 
Posts: 3
Joined: Tue Feb 12, 2013 3:10 pm

Linux Mint is funded by ads and donations.
 

Re: Successful install HP3255 Wireless Printer. Fails to Pri

Postby Nu2Mint on Fri Feb 15, 2013 4:21 pm

The solution is at terminal
system-comfig-printer
This is the same app that appears in Ubuntu add printer.
This is a short tutorial
Location sudolab is important. No reason it needs to be there.
http://blog.sudobits.com/2012/04/13/how ... ntu-12-04/
Nu2Mint
Level 1
Level 1
 
Posts: 3
Joined: Tue Feb 12, 2013 3:10 pm

Re: Successful install HP3255 Wireless Printer. Fails to Pri

Postby Spinnekop on Fri Feb 15, 2013 5:28 pm

In think you'll find the solution at the end of this post http://forums.gentoo.org/viewtopic-t-854466.html

Best of luck
User avatar
Spinnekop
Level 2
Level 2
 
Posts: 61
Joined: Thu Jan 10, 2013 12:22 pm
Location: East Molesey, Surrey, UK


Return to Printers & Scanners

Who is online

Users browsing this forum: Roger Bird and 5 guests